<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCcdHostedDNGroupReq StructType
 * @subpackage Structs
 */
class AddCcdHostedDNGroupReq extends APIRequest
{
    /**
     * The ccdHostedDNGroup
     * @var XCcdHostedDNGroup
     */
    public $ccdHostedDNGroup;
    /**
     * Constructor method for AddCcdHostedDNGroupReq
     * @uses AddCcdHostedDNGroupReq::setCcdHostedDNGroup()
     * @param XCcdHostedDNGroup $ccdHostedDNGroup
     */
    public function __construct(XCcdHostedDNGroup $ccdHostedDNGroup = null)
    {
        $this
            ->setCcdHostedDNGroup($ccdHostedDNGroup);
    }
    /**
     * Get ccdHostedDNGroup value
     * @return XCcdHostedDNGroup|null
     */
    public function getCcdHostedDNGroup()
    {
        return $this->ccdHostedDNGroup;
    }
    /**
     * Set ccdHostedDNGroup value
     * @param XCcdHostedDNGroup $ccdHostedDNGroup
     * @return AddCcdHostedDNGroupReq
     */
    public function setCcdHostedDNGroup(XCcdHostedDNGroup $ccdHostedDNGroup = null)
    {
        $this->ccdHostedDNGroup = $ccdHostedDNGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCcdHostedDNGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
